<?php

namespace App\Enums;

use App\Traits\ProvidesEnumOptions;

enum LeaveRequestStatus: string
{
    use ProvidesEnumOptions;

    case PENDING = 'pending';
    case APPROVED = 'approved';
    case REJECTED = 'rejected';

    public function label(): string
    {
        return match ($this) {
            self::PENDING => 'Menunggu',
            self::APPROVED => 'Disetujui',
            self::REJECTED => 'Ditolak',
        };
    }
}
